package com.ruoyi.tc.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.tc.entity.AssetCurrent;
import com.ruoyi.tc.entity.request.AssetCurrentPageRequest;

import java.util.List;

/**
 * 现有资产表(AssetCurrent)表服务接口
 *
 * @author makejava
 * @since 2024-11-15 10:04:03
 */
public interface AssetCurrentService extends IService<AssetCurrent> {

    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param as 查询实体
     * @return 所有数据
     */
    Page<AssetCurrent> page(Page<AssetCurrent> page, AssetCurrentPageRequest as );

    /**
     * 查询所有数据
     *
     * @param as 查询实体
     * @return 所有数据
     */
    List<AssetCurrent> page( AssetCurrentPageRequest as );

}

