package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.AssetCurrent;
import com.ruoyi.tc.entity.request.AssetCurrentPageRequest;
import com.ruoyi.tc.mapper.AssetCurrentMapper;
import com.ruoyi.tc.service.AssetCurrentService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 现有资产表(AssetCurrent)表服务实现类
 *
 * @author makejava
 * @since 2024-11-15 10:04:03
 */
@Service("assetCurrentService")
public class AssetCurrentServiceImpl extends ServiceImpl<AssetCurrentMapper, AssetCurrent> implements AssetCurrentService {

    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param as 查询实体
     * @return 所有数据
     */
    @Override
    public Page<AssetCurrent> page(Page<AssetCurrent> page, AssetCurrentPageRequest as) {
        return baseMapper.page(page,as);
    }

    /**
     * 查询所有数据
     *
     * @param as 查询实体
     * @return 所有数据
     */
    @Override
    public List<AssetCurrent> page(AssetCurrentPageRequest as) {
        return baseMapper.page(as);
    }
}

