package com.ruoyi.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.entity.Unit;
import com.ruoyi.common.core.domain.request.UnitRequest;

import java.util.List;

/**
 * 单位信息（unit_info）表业务层
 * @author du
 * @since 2024/11/13 15:02
 */
public interface UnitService extends IService<Unit> {

    /**
     * 根据条件查询所有单位列表
     *
     * @param unit 用户信息
     * @return 用户信息集合信息
     */
    List<Unit> selectUnitList(UnitRequest unit);

    /**
     * 根据信用代码批量逻辑删除
     */
    void deleteInCode(List<String> code);
}
